Commit 7512c87e authored by Kenzo-Hugo Hillion's avatar Kenzo-Hugo Hillion
Browse files

Merge branch 'usepipenv' into 'master'

Usepipenv

Closes #9

See merge request !2
parents 4947602d ae5c6023
Pipeline #12895 passed with stage
in 1 minute and 13 seconds
...@@ -19,9 +19,9 @@ cache: ...@@ -19,9 +19,9 @@ cache:
- ~/.cache/pip/ - ~/.cache/pip/
before_script: before_script:
- pip install pipenv
- cd backend - cd backend
- pip install -r requirements_dev.txt - pipenv install --dev --system --deploy
- pip install -e .
test-backend: test-backend:
stage: lint_test_coverage_backend stage: lint_test_coverage_backend
......
...@@ -2,13 +2,12 @@ FROM python:3.7 ...@@ -2,13 +2,12 @@ FROM python:3.7
ENV PYTHONDONTWRITEBYTECODE 1 ENV PYTHONDONTWRITEBYTECODE 1
ENV PYTHONUNBUFFERED 1 ENV PYTHONUNBUFFERED 1
ENV WEB_DOCKER 1
# Install pipenv
RUN pip install pipenv
WORKDIR /code WORKDIR /code
# Copy requirements and install
COPY requirements.txt /code/
RUN pip install -r requirements.txt
# Copy the project and install # Copy Pipfile and install
COPY . /code/ COPY . /code/
RUN pip install -e . RUN pipenv install --system --deploy
\ No newline at end of file
[[source]]
name = "pypi"
url = "https://pypi.org/simple"
verify_ssl = true
[dev-packages]
atomicwrites = "==1.3.0"
attrs = "==19.1.0"
coverage = "==4.5.3"
entrypoints = "==0.3"
flake8 = "==3.7.7"
importlib-metadata = "==0.18"
kiwisolver = "==1.1.0"
mccabe = "==0.6.1"
more-itertools = "==7.0.0"
pluggy = "==0.12.0"
py = "==1.8.0"
pycodestyle = "==2.5.0"
pyflakes = "==2.1.1"
pyparsing = "==2.4.0"
pytest = "==4.6.3"
pytest-cov = "==2.7.1"
pytest-django = "==3.5.0"
wcwidth = "==0.1.7"
zipp = "==0.5.1"
Cycler = "==0.10.0"
[packages]
certifi = "==2019.6.16"
chardet = "==3.0.4"
django-cors-headers = "==3.0.2"
django-environ = "==0.4.5"
django-extensions = "==2.1.7"
django-filter = "==2.1.0"
djangorestframework = "==3.9.4"
djangorestframework-jwt = "==1.11.0"
idna = "==2.8"
numpy = "==1.16.4"
pandas = "==0.24.2"
psycopg2 = "==2.8.2"
python-dateutil = "==2.8.0"
pytz = "==2019.1"
requests = "==2.22.0"
six = "==1.12.0"
sqlparse = "==0.3.0"
urllib3 = "==1.25.3"
Django = "==2.2.1"
PyJWT = "==1.7.1"
metagenedb = {editable = true,path = "."}
[requires]
python_version = "3.7"
This diff is collapsed.
certifi==2019.6.16
chardet==3.0.4
Django==2.2.1
django-cors-headers==3.0.2
django-environ==0.4.5
django-extensions==2.1.7
django-filter==2.1.0
djangorestframework==3.9.4
djangorestframework-jwt==1.11.0
idna==2.8
numpy==1.16.4
pandas==0.24.2
psycopg2==2.8.2
PyJWT==1.7.1
python-dateutil==2.8.0
pytz==2019.1
requests==2.22.0
six==1.12.0
sqlparse==0.3.0
urllib3==1.25.3
atomicwrites==1.3.0
attrs==19.1.0
coverage==4.5.3
cycler==0.10.0
Django==2.2.1
django-cors-headers==3.0.2
django-environ==0.4.5
django-extensions==2.1.7
django-filter==2.1.0
djangorestframework==3.9.4
djangorestframework-jwt==1.11.0
entrypoints==0.3
flake8==3.7.7
importlib-metadata==0.18
kiwisolver==1.1.0
mccabe==0.6.1
more-itertools==7.0.0
numpy==1.16.4
packaging==19.0
pandas==0.24.2
pluggy==0.12.0
psycopg2==2.8.2
py==1.8.0
pycodestyle==2.5.0
pyflakes==2.1.1
PyJWT==1.7.1
pyparsing==2.4.0
pytest==4.6.3
pytest-cov==2.7.1
pytest-django==3.5.0
pytz==2019.1
six==1.12.0
sqlparse==0.3.0
wcwidth==0.1.7
zipp==0.5.1
\ No newline at end of file
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment